<?php
/**
 *------Create thems Controller------
 *------SCWPHP  Version 1.0.0------
 *------Dev Model Jions------
 *------Create Time 2017-06-08 10:07:19------
 */
namespace App\Home\Controller;

class Account extends BaseController {

	/**
	 * 用户会员中心->用户资料
	 */
	public function Index() {
		lm ('UserGrade', 'Api')->upgrade($_SESSION['uinfo']);
		$this->display();
	}

	/**
	 * 修改用户密码页面
	 */
	public function AccountPasswordIndex() {
		$this->display();
	}

	/**
	 * 修改支付密码页面
	 */
	public function PayPasswordIndex() {
		$this->display();
	}

	/**
	 * 提现功能页面
	 */
	public function AccountGetCash() {
		$this->display();
	}

	/**
	 * 意见反馈
	 */
	public function Faceback() {
		$this->display();
	}

	/**
	 * 设置赔率
	 */
	public function SetOdds() {
		$apiAccount = new \App\Api\Controller\Account();
		$gameSettings = $apiAccount->getSettings();
		$this->assign('game', $_GET['game']);
		$this->assign('settings', $gameSettings);
		$this->display();
	}

    /***
     * 消息中心
     */
	public function myMesg(){
        $this->display();
    }
    //具体消息
    public function messge(){
        $this->display();
    }
    //具体消息
    public function myMesgone(){
        $this->display();
    }

    public function UserShare(){

		$settings = lm('settings', 'Commons')->first();
		$this->assign('setting', $settings);

    	$this->display();
    }
}
